#!/bin/bash
echo Installing Team for Capella Administration Features

export CALLER_PATH="$(pwd)"
cd "$(dirname "$0")"
export SCRIPT_PATH="$(pwd)"
cd -

if [[ "$OSTYPE" == "darwin"* ]]; then
    cd "$SCRIPT_PATH/../MacOS"
else 
    # Linux case: "$OSTYPE" == "linux-gnu"
    cd "$SCRIPT_PATH/../capella"
fi

chmod +x capella

WORKSPACE_NAME=installationWorkspace
WORKSPACE_EXISTS_BEFORE=0
if [ -d "$WORKSPACE_NAME" ]; then
  WORKSPACE_EXISTS_BEFORE=1
fi

./capella \
-nosplash -console -consoleLog \
-data "$WORKSPACE_NAME" \
-application org.eclipse.equinox.p2.director \
-tag InstallAdminFeatures \
-installIU com.thalesgroup.mde.melody.collab.admin.client.feature.feature.group,com.thalesgroup.mde.melody.collab.user.profile.feature.feature.group \
-repository "jar:file://$SCRIPT_PATH/../updateSite/com.thalesgroup.mde.melody.team.license.update-7.0.0-202407121444.zip!/"

if [ $WORKSPACE_EXISTS_BEFORE -eq 0 ] && [ -d "$WORKSPACE_NAME" ]; then
  rm -rf "$WORKSPACE_NAME"
fi

cd "$CALLER_PATH"